Index: wimsapi/wimsapi/api.py
===================================================================
--- wimsapi.orig/wimsapi/api.py
+++ wimsapi/wimsapi/api.py
@@ -18,6 +18,7 @@ For more information, see https://wimsap
 import json
 import random
 import string
+import os
 
 import requests
 
@@ -30,6 +31,12 @@ def post(url, **kwargs):
     
     for k, v in kwargs["data"].items():
         kwargs["data"][k] = v if not isinstance(v, str) else v.encode("ISO-8859-1")
+    # 2021-04-18 G.K.: increased the timeout to cope with "my WIMS"
+    # this timeout can be provided by the environment variable WIMSAPI_TIMEOUT
+    if "WIMSAPI_TIMEOUT" in os.environ:
+        timeout = int(os.environ.get("WIMSAPI_TIMEOUT"))
+        if kwargs.get("timeout", 0) < timeout:
+            kwargs["timeout"] = timeout
     kwargs["headers"] = {"Content-Type": "application/x-www-form-urlencoded; charset=ISO-8859-1"}
     return requests.post(url, **kwargs)
 
